body{
    padding:0.2rem;
}
img{
    max-width:100%;
}
.thumb_area{
    width: 100%;
    border-radius: 0.3rem;
    background: #000;
    position: relative;
}

.activity_status{
    width: 1.5rem;
    height: 0.6rem;
    line-height: 0.6rem;
    background-color: #03EDAC;
    color: #FFF;
    border-radius: 0.3rem;
    text-align: center;
    position: absolute;
    top: 0.3rem;
    left: 0.3rem;
}
.activity_thumb img{
    border-radius: 0.3rem 0.3rem 0 0;
}
.title{
    line-height:1rem;
    text-align:center;
    font-size:0.4rem;
    color: #FFF;
}

.activity_info{
    width: 100%;
    border-radius: 0.3rem;
    background: #000;
    margin-top: 0.5rem;
}

.activity_info .activity_title{
    height: 0.7rem;
    line-height: 0.7rem;
    color: #FFF;
    font-weight: bold;
    padding-top: 0.2rem;
}
.activity_info .activity_title::before{
    content: "";
    display: inline-block;
    width: 0.08rem;
    height: 0.5rem;
    background: #03EDAC;
    border-radius: 20%;
    margin-left: 0.2rem;
    margin-right: 0.2rem;
    margin-top: 0.1rem;
    float: left;
}


.info-list {
    list-style: none;
    margin: 0;
    padding-bottom: 0.3rem;
}

.info-item {
    display: flex;
    align-items: flex-start; 
    margin-bottom: 0.1rem;
    line-height: 1.5;
}

.icon-box {
    width: 0.5rem;
    flex-shrink: 0; 
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-left: 12px; 
    margin-right: 10px;
    box-sizing: border-box;
}

.icon-box svg {
    width: 0.35rem;
    height: 0.35rem;
    fill: none; 
    stroke: #ccc; 
    stroke-width: 1.5;
    stroke-linecap: round;
    stroke-linejoin: round;
    margin-top: 4px; 
}

.text-content {
    display: flex;
    flex-direction: column;
}

.label {
    color: #ccc; 
    font-size: 16px;
    margin-bottom: 4px;
}

.info-item {
    display: flex;
    align-items: baseline; 
}

.label {
    color: #999;
    margin-right: 20px; 
    white-space: nowrap; 
}

.value {
    color: #fff;
    font-size: 16px;
}

.btn_h{
    width: 100%;
    height: 1.2rem;
}

.btn_area{
    width: 100%;
    height: 1.2rem;
    text-align: center;
    position: fixed;
    bottom: 0;
    left: 0;
    background-color: #111516;
    padding-bottom: 20px;
    padding-bottom: calc(20px + constant(safe-area-inset-bottom));
    padding-bottom: calc(20px + env(safe-area-inset-bottom));
}

.btn_area button{ 
    width: 90%;
    height: 0.9rem;
    line-height: 0.9rem;
    margin-top: 0.15rem;
    border-radius: 0.5rem;
    font-size: 0.4rem;
}

.btn_area .activeing{
    background: #03EDAC;
    color: #FFF;
}

.btn_area .activeEnd{
    background: #ccc;
    color: #FFF;
}

.btn_area .join_btn,.joined{
    background: #03EDAC;
    color: #FFF;
}

.activity_content{
    padding: 0.1rem;
    color: #FFF;
}
.activity_content img{
    max-width: 100%;
}

.clearboth{
    clear: both;
}